TAC 2015 Cold Start Sample Corpus
=================================
### Release 3.1

August 20, 2015

This distribution contains a Sample Corpus for the TAC 2015 Cold Start
track. It is intended to illustrate the system output formats for the
three task variants of Cold Start:

  * Knowledge Base (CSKB)
  * Entity Discovery (CSED)
  * Slot Filling (CSSF)

For more information about TAC, please see <http://www.nist.gov/tac>

For the Cold Start 2015 Task Guidelines, please see
<http://www.nist.gov/tac/2015/KBP/ColdStart/guidelines.html>

This distribution includes the following files:

- `README.md` (this file): a file describing the Sample Corpus.
- `README-GeneratingSubmissionFile-CSSF.md`: instructions for generating a CSSF submission file in response to a query file.
- `Simpsons.sgml`: the document collection. The collection comprises
  seventeen documents in a single file. The SGML markup matches the
  markup used in the main TAC collection, with the addition of a
  `<SOURCE>` tag (which indicates the original Web document from which
  the excerpt in the document was taken). This file should be legal
  SGML.
- `SimpsonsGroundTruthKB.tac`: The gold standard knowledge base for this
  document collection. While this file represents a legal Cold Start KB
  submission file, it is present only to give participants a clearer
  understanding of what is intended; no such ground truth knowledge base
  will be created for the actual Cold Start task.
- `SimpsonsGroundTruthED.tac`: The gold standard CSED file for this document collection. It includes those portions of `SimpsonsGroundTruthKB.tac` that cover entity types and mentions. It represents a legal Cold Start ED submission file.
- `SimpsonsDocumentLengths.tab.txt`: The length in Unicode characters of
  each of the documents; useful with the -docs switch to the Cold
  Start validators (`CS-ValidateKB.pl` and `CS-ValidateSF.pl`).
- `KBSubmissions`: A directory containing several sample CSKB
  submissions. Each submission file is named for the validation error
  it causes.  The NO_ERRORS file contains no validation errors
  (although it is not fully accurate and might generate responses to
  evaluation queries that would be judged incorrect). Each of the
  other files is designed to demonstrate one type of error (although
  the validator might identify additional errors). Each one contains a
  comment at the point of the error giving further explanation. To see
  how the validator judges one of the sample CSKB submissions, use:

  ~~~
    perl CS-ValidateKB.pl -task CSKB \
                          -docs SimpsonsDocumentLengths.tab.txt \
                          SUBMISSION_FILE`
  ~~~

  You may need to specify the correct path for the validation script,
  for the document lengths file, and for the `SUBMISSION_FILE` (which represents
  one of the files in the KBSubmissions directory).

- `EDSubmissions`: A directory containing several sample CSED
  submissions. Each submission file is named for the validation error
  it causes.  Each of the other files is
  designed to demonstrate one type of error (although the validator
  might identify additional errors).  The NO_ERRORS file contains no
  validation errors (although it is incomplete and not fully
  accurate). To see how the validator judges one of the sample CSED
  submissions, use:

  ~~~
       perl CS-ValidateKB.pl -task CSED \
                             -docs SimpsonsDocumentLengths.tab.txt \
                             SUBMISSION_FILE
  ~~~

  You may need to specify the correct path for the validation script,
  for the document lengths file, and for the `SUBMISSION_FILE` (which represents
  one of the files in the EDSubmissions directory).

- `SFSubmission`: A directory containing a sample CSSF query and sample system response files. The directory include a sample top-level query file and sample system responses for Round 1 and Round 2 queries. The subdirectory `output` contains the query files produced by `CS-GenerateQueries.pl` and the final submission file produced by `CS-PackageOutput.pl`. The
  example query and CSSF system output files do not accurately represent the content of the Simpsons collection; they are
  given here only to illustrate the procedure for generating and validating
  a CSSF submission described in `README-GeneratingSubmissionFile-CSSF.md`.

Most of this corpus was assembled by hand; consequently, it is likely
to contain errors. Portions were created automatically; consequently,
they are also likely to contain errors.  Please report errors, ask
questions, or make comments to tac-kbp "at" nist.gov.

The Cold Start Sample Corpus does not imply endorsement of anything
mentioned in the sample documents by NIST or by the TAC organizing
committee.

### Change History

Version 3.1:

 - Minor updates and corrections

Version 3.0:

- Updated Ground Truth KB and runs files to conform to Cold Start 2015 specification.

Version 2.0:

- Updated run files to conform to Cold Start 2013 specification
- Simultaneous release of verification script, ValidateColdStart.pl (2.0)
- Simultaneous release of new Cold Start 2013 Task Description (1.1)

Version 1.2:

- Corrected problems with UTF-8
- Added test case for UNATTESTED_RELATION_ENTITY
- Simultaneous release of verification script, ValidateColdStart.pl (1.2)
- Simultaneous release of new Task Description (1.3)
- Replaced named entity files with SimpsonsNamedEntities.tab, which conforms to format used by LDC
- Changed SimpsonsDocumentLengths to include length in Unicode characters of the document, rather than the index of the final character

Version 1.1:

- Corrected errors in Ground Truth KB
- Added all AlternateNames as Mentions
- Updated Simpsons.sgml to be legal SGML
- Included sample submissions, document lengths, and named entities
- Simultaneous release of verification script, ValidateColdStart.pl (1.0)
- Simultaneous release of new Task Description (1.1) and FAQ (1.2)

Version 1.0:

- Original collection
